Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfTextAutospaceType

    java.lang.Object
      java.lang.Enum<OdfTextAutospaceType>
          org.odftoolkit.odfdom.dom.type.style.OdfTextAutospaceType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextAutospaceType>

    public enum OdfTextAutospaceType

extends Enum<OdfTextAutospaceType>

DOM implementation of OpenDocument attribute style:text-autospace.

Enum Constant Summary
`IDEOGRAPH_ALPHA`
`NONE`

Method Summary
`static OdfTextAutospaceType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextAutospaceType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextAutospaceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextAutospaceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IDEOGRAPH_ALPHA

    public static final OdfTextAutospaceType IDEOGRAPH_ALPHA

### NONE

    public static final OdfTextAutospaceType NONE

Method Detail

### values

    public static OdfTextAutospaceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextAutospaceType c : OdfTextAutospaceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextAutospaceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextAutospaceType>`
  Returns:
    return the name of OdfTextAutospaceType

### toString

    public static String toString(OdfTextAutospaceType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextAutospaceType, see style:text-autospace
  Returns:
    return the name of OdfTextAutospaceType

### enumValueOf

    public static OdfTextAutospaceType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextAutospaceType
  Returns:
    return the constant of OdfTextAutospaceType, see style:text-autospace

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.